### Function

# GtkSource scheduler_add_full

since: 5.2

#### Declaration [src]

    gsize
    gtk_source_scheduler_add_full (
      GtkSourceSchedulerCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Adds a new callback that will be executed as time permits on the main thread.

This is useful when you need to do a lot of background work but want to do it incrementally.

`callback` will be provided a deadline that it should complete it’s work by (or near) and can be checked using `g_get_monotonic_time()` for comparison.

Use `gtk_source_scheduler_remove()` to remove the handler.

Available since: 5.2

This function is renamed to `gtk_source_scheduler_add()` in language bindings.

#### Parameters

`callback`

  Type: `GtkSourceSchedulerCallback`

  The callback to execute.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  Closure notify for `user_data`.

#### Return value

Type: `gsize`

No description available.